<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="bootstrap.css">
    <link rel="stylesheet" href="../static/main.css">

    <title>Dashboard</title>
</head>
<body>
<div layout:fragment="content">
    <h1>BibManager Dashboard</h1>
    <div class="row">
        <div class="col-sm-6" th:each="database: ${databases}">
            <div class="card">
                <div class="card-header" th:text="${database.name}">
                    Datenbankname
                </div>
                <div class="card-body">
                    <ul>
                        <li th:text="#{database.entrysize(${database.entries.size()})}">Einträge: 5</li>
                        <li th:text="#{database.lastchange(${database.lastChange})}">Letzte Änderung: XX</li>
                    </ul>
                    <a href="#" class="btn btn-primary"
                       th:href="@{/databases/{database}/entries/list(database=${database.id})}">Open</a>
                </div>
            </div>
        </div>
    </div>

    <h2>Shared Databases</h2>
    <div class="row">
        <div class="col-sm-6" th:each="database: ${sharedDatabases}">
            <div class="card">
                <div class="card-header" th:text="${database.database.name}">
                    Datenbankname
                </div>
                <div class="card-body">
                    <ul>
                        <li th:text="#{database.entrysize(${database.database.entries.size()})}">Einträge: 5</li>
                        <li th:text="#{database.lastchange(${database.database.lastChange})}">Letzte Änderung: XX</li>
                    </ul>
                    <a href="#" class="btn btn-primary"
                       th:href="@{/databases/{database}/entries/list(database=${database.database.id})}">Open</a>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>